#!/bin/csh

#######################################################################
#
# "Direct Observation of Dipolar Couplings Between Distant protons in 
#  Weakly Aligned Nucleic Acids"
#
#  Jerome BOISBOUVIER, Frank DELAGLIO and Ad BAX
#
#  Proc. Natl. Acad. Sci. USA  (2003 - in press)
#
########################################################################


# nmrPipe macro used to reduce 3D selective CT-COSY spectra in 2D homnuclear 
# decoupled spectra

# SW(F3)/SW(F2) should be an integer number
# TD(F3)/TD(F2) should be an integer number
# macros slide.M, sum.M and shape.M are required 

xyz2pipe -in ./fid/test%03d.fid -x -verb \
| nmrPipe -fn EXT -x1 1 -xn 256 -sw \
| nmrPipe -fn SP -off 0.5 -pow 2 -end 0.99 -c 0.5  \
| nmrPipe -fn ZF -auto \
| nmrPipe -fn FT -auto \
| nmrPipe -fn PS -p0 151 -p1 0  -di \
| nmrPipe -fn TP \
| nmrPipe -fn PS -p0 -22.3 -p1 0 \
| nmrPipe -fn SP -off 0.5 -pow 1 -end 0.90 -c 0.5 \
| nmrPipe -fn ZF -auto \
| nmrPipe -fn FT -di\
| nmrPipe -fn TP \
| nmrPipe -fn POLY -auto \
| pipe2xyz -out ./ft/test2A%03d.ft2

xyz2pipe -in ./ft/test2A%03d.ft2 -z -verb \
| nmrPipe -fn PS -p0 67 -p1 0 \
| nmrPipe -fn LP -ps0-0  -pred 20 -ord 6 \
| nmrPipe -fn SP -off 0.5 -end 0.99 -pow 2 -c 0.5 \
| nmrPipe -fn ZF -auto \
| nmrPipe -fn FT -alt -di \
| pipe2xyz -out ./ft/test2B%03d.ft3 -z

xyz2pipe -in ./ft/test2B%03d.ft3 -x -verb \
| nmrPipe -fn TP \
| nmrPipe -fn HT \
| nmrPipe -fn FT -inv\
| nmrPipe -fn ZF -auto -inv\
| nmrPipe -fn SP -off 0.5 -pow 1 -end 0.90 -c 0.5 -inv\
| nmrPipe -fn LP -ps0-0 -pred 40 -ord 10 \
| nmrPipe -fn SP -off 0.5 -pow 2 -end 0.99 -c 0.5 \
| nmrPipe -fn ZF -auto \
| nmrPipe -fn FT -di \
| nmrPipe -fn TP \
| pipe2xyz -out ./ft/test2C%03d.ft3 -x -verb 


xyz2pipe -in  ./ft/test2C%03d.ft3 -z -verb \
| nmrPipe -fn TP \
| nmrPipe -fn HT \
| nmrPipe -fn FT -inv \
| nmrPipe -fn MAC -macro slide.M \
| nmrPipe -fn FT -di \
| nmrPipe -fn MAC -macro shape.M -noRd -noWr -all \
| nmrPipe -fn EXT -x1 11Pts -xn 22Pts \
| pipe2xyz -out ./ft/test3D%03d.ft3 -z

xyz2pipe -in ft/test3D%03d.ft3 -z -verb \
| nmrPipe -fn SP \
| nmrPipe -fn MAC -macro sum.M -noRd -noWr -all \
| pipe2xyz -out ft/testD%03d.dat -z
